org.apache.ignite.internal

## Class ComputeMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.ComputeMXBeanImpl

All Implemented Interfaces:
  ComputeMXBean

    public class ComputeMXBeanImpl
    extends Object
    implements ComputeMXBean

ComputeMXBean implementation.

### Constructor Summary

Constructors
Constructor and Description
`ComputeMXBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel(IgniteUuid sesId)` Kills compute task by the session idenitifier.
`void` `cancel(String sesId)` Kills compute task by the session idenitifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComputeMXBeanImpl

    public ComputeMXBeanImpl(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### cancel

    public void cancel(String sesId)

Kills compute task by the session idenitifier.

Specified by:
  `cancel` in interface `ComputeMXBean`
Parameters:
  `sesId` - Session id.
See Also:
  `ComputeTaskView.sessionId()`, `ComputeJobView.sessionId()`

#### cancel

    public void cancel(IgniteUuid sesId)

Kills compute task by the session idenitifier.

Parameters:
  `sesId` - Session id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023